import request from '@/utils/request'

const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API

// 查询报工信息历史记录列表
export function listHistory(query) {
  return request({
    url:baseUrl+ '/business/dayworkItemHistory/list',
    method: 'get',
    params: query
  })
}

// 查询报工信息历史记录详细
export function getHistory(id) {
  return request({
    url: '/business/history/' + id,
    method: 'get'
  })
}

// 新增报工信息历史记录
export function addHistory(data) {
  return request({
    url: '/business/history',
    method: 'post',
    data: data
  })
}

// 修改报工信息历史记录
export function updateHistory(data) {
  return request({
    url: '/business/history',
    method: 'put',
    data: data
  })
}

// 删除报工信息历史记录
export function delHistory(id) {
  return request({
    url: '/business/history/' + id,
    method: 'delete'
  })
}
